#include "DFont.h"
#include <SDL/SDL.h>
#include <SDL/SDL_image.h>
#include <string>


bool checkUsage(string const & param) {
	//return param.find_first_of(".") != string::npos;
  return false;
	}

int main (int argc, char ** argv) 
{
  SDL_Surface * screen;
  SDL_Event event;
  if (argc == 1 || checkUsage(argv[1])) {
	cerr << "Usage " << argv[0] << " fontname (no extension)\nExample:\n\t" <<
argv[0] << " Font\n";
	exit (-1);
	}
  string file = argv[1];  
  
  string file1 = file+".png";
  string file2 = file+".dat";

  SDL_Init(SDL_INIT_VIDEO);
  screen = SDL_SetVideoMode(640, 480, 32, SDL_SWSURFACE);
  
  DFont fnt(file1.c_str(), file2.c_str());
  fnt.PutString(screen, 0, 0, "!\"#$%&`()*+'-./0123456789:;<=>?`ABCD");
  fnt.PutString(screen, 0, fnt.CharHeight(),"EFGHIJKLMNOPQRSTUVWXYZ[\\]^_`ab");
  fnt.PutString(screen, 0, fnt.CharHeight()*2,"cdefghijklmnopqrstuvwxyz{|}~");
  for (int i(0); fnt.CharHeight()*(i+3) < 480 - fnt.CharHeight(); ++i)
    fnt.PutInt(screen, CTR_HORIZ, fnt.CharHeight()*(i+3), i);


  SDL_UpdateRect(screen, 0, 0, 0, 0);
  while (event.type != SDL_MOUSEBUTTONDOWN)
    SDL_PollEvent(&event);
  
  SDL_Quit();
   return 0;
}
